#include <metal_stdlib>
#include <simd/simd.h>

using namespace metal;

struct Globals
{
    float4x4 uVP;
    float3 uOffset;
    float4 uColor;
};

struct main0_out
{
    float4 FragColor [[color(0)]];
};

fragment main0_out main0(constant Globals& _14 [[buffer(0)]])
{
    main0_out out = {};
    out.FragColor = _14.uColor;
    return out;
}

